INCLUDES = -I$(top_srcdir)/lib -I$(top_srcdir)/lib/interfaces \
	-I$(top_srcdir)/lib/interfaces/extensions -I$(top_srcdir)/lib/interfaces/external \
	-I$(top_srcdir)/lib/interfaces/extras -I$(top_srcdir)/lib/util -I$(top_srcdir)/lib/widgets \
	-I$(top_srcdir)/src/newui -I$(top_srcdir)/src/profileengine/lib \
	$(all_includes)

KDE_OPTIONS=nofinal

lib_LTLIBRARIES = libkdevshell.la
libkdevshell_la_LDFLAGS = $(all_libraries) -ltdevelop -L../lib/.libs -L../lib/interfaces/external/.libs -lkinterfacedesigner
libkdevshell_la_LIBADD = \
	$(top_builddir)/src/profileengine/lib/libprofileengine.la $(top_builddir)/lib/libtdevelop.la \
	$(top_builddir)/lib/widgets/libkdevwidgets.la $(top_builddir)/lib/interfaces/extras/libkdevextras.la \
	$(top_builddir)/src/newui/libd.la $(LIB_TDEHTML) -ltdetexteditor -L../lib/interfaces/external/.libs -lkinterfacedesigner
libkdevshell_la_SOURCES = api.cpp core.cpp documentationpart.cpp \
	editorproxy.cpp generalinfowidget.cpp generalinfowidgetbase.ui languageselectwidget.cpp \
	mainwindowshare.cpp mimewarningdialog.ui multibuffer.cpp partcontroller.cpp \
	plugincontroller.cpp pluginselectdialog.cpp pluginselectdialog.h pluginselectdialogbase.ui \
	projectmanager.cpp projectsession.cpp shellextension.cpp simplemainwindow.cpp \
	splashscreen.cpp statusbar.cpp toplevel.cpp

bin_PROGRAMS = tdevelop kdevassistant

tdevelop_SOURCES = main.cpp kdevideextension.cpp settingswidget.ui

tdevelop_METASOURCES = AUTO
tdevelop_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -ltdevelop -L../lib/.libs -L../lib/interfaces/external/.libs -lkinterfacedesigner
tdevelop_LDADD = libkdevshell.la -L../lib/interfaces/external/.libs -lkinterfacedesigner

rcdir = $(kde_datadir)/tdevelop
rc_DATA = tdevelopui.rc eventsrc

# default KDevelop configuration
tdevelopdatadir = $(kde_confdir)
tdevelopdata_DATA = tdeveloprc kdevassistantrc

SUBDIRS = profiles profileengine newui tdeconf_update
kdevassistant_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -ltdevelop -L../lib/.libs -L../lib/interfaces/external/.libs -lkinterfacedesigner
kdevassistant_SOURCES = main_assistant.cpp kdevassistantextension.cpp
kdevassistant_LDADD = libkdevshell.la -L../lib/interfaces/external/.libs -lkinterfacedesigner

rc_assistantdir = $(kde_datadir)/kdevassistant
rc_assistant_DATA =  kdevassistantui.rc
shellincludedir = $(includedir)/tdevelop/shell
shellinclude_HEADERS = api.h core.h documentationpart.h editorproxy.h \
	generalinfowidget.h languageselectwidget.h mainwindowshare.h partcontroller.h \
	plugincontroller.h projectmanager.h projectsession.h shellextension.h splashscreen.h \
	statusbar.h toplevel.h generalinfowidgetbase.h mimewarningdialog.h settingswidget.h \
	simplemainwindow.h multibuffer.h

DOXYGEN_REFERENCES = dcop interfaces tdecore tdefx tdeui tdehtml tdemdi tdeio kjs tdeparts tdeutils kdevutil kdevinterfaces kdevextensions
DOXYGEN_PROJECTNAME = KDevelop Generic Shell
DOXYGEN_DOCDIRPREFIX = kdevshell
include ../Doxyfile.am
profilesdatadir = $(kde_datadir)/tdevelop/profiles
profilesdata_DATA = projectprofiles

